apiVersion: kubevirt.io/v1
kind: VirtualMachineInstance
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    kubevirt.io/vm-generation: '45'
    vm.kubevirt.io/flavor: small
    vm.kubevirt.io/os: centos-stream9
    vm.kubevirt.io/workload: server
  resourceVersion: '44445560'
  name: centos-stream9-chocolate-spoonbill-66
  uid: f42b709b-8831-49e8-8306-a909d5b4c068
  creationTimestamp: '2025-09-12T09:42:02Z'
  generation: 9
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
            'f:kubevirt.io/vm-generation': {}
            'f:vm.kubevirt.io/flavor': {}
            'f:vm.kubevirt.io/os': {}
            'f:vm.kubevirt.io/workload': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
          'f:labels':
            .: {}
            'f:kubevirt.io/domain': {}
            'f:kubevirt.io/nodeName': {}
            'f:kubevirt.io/size': {}
            'f:network.kubevirt.io/headlessService': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"2ee745d3-ef7d-4fb9-bf19-f87569cfc0fc"}': {}
        'f:spec':
          .: {}
          'f:architecture': {}
          'f:domain':
            .: {}
            'f:cpu':
              .: {}
              'f:cores': {}
              'f:sockets': {}
              'f:threads': {}
            'f:devices':
              .: {}
              'f:autoattachPodInterface': {}
              'f:disks': {}
              'f:rng': {}
            'f:firmware':
              .: {}
              'f:uuid': {}
            'f:machine':
              .: {}
              'f:type': {}
            'f:memory':
              .: {}
              'f:guest': {}
            'f:resources': {}
          'f:nodeSelector':
            .: {}
            'f:kubernetes.io/arch': {}
          'f:terminationGracePeriodSeconds': {}
          'f:volumes': {}
        'f:status':
          'f:nodeName': {}
          'f:activePods':
            .: {}
            'f:2bdd4d22-feb8-45bb-adee-6594916c4885': {}
          'f:launcherContainerImageVersion': {}
          .: {}
          'f:migrationTransport': {}
          'f:runtimeUser': {}
          'f:virtualMachineRevisionName': {}
          'f:guestOSInfo': {}
          'f:qosClass': {}
      manager: virt-controller
      operation: Update
      time: '2025-09-12T09:42:13Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions': {}
          'f:guestOSInfo':
            'f:id': {}
            'f:kernelRelease': {}
            'f:kernelVersion': {}
            'f:machine': {}
            'f:name': {}
            'f:prettyName': {}
            'f:version': {}
            'f:versionId': {}
          'f:machine':
            .: {}
            'f:type': {}
          'f:migrationMethod': {}
          'f:phase': {}
          'f:phaseTransitionTimestamps': {}
          'f:selinuxContext': {}
          'f:volumeStatus': {}
      manager: virt-handler
      operation: Update
      time: '2025-09-12T09:42:48Z'
  namespace: radek
  ownerReferences:
    - apiVersion: kubevirt.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: VirtualMachine
      name: centos-stream9-chocolate-spoonbill-66
      uid: 2ee745d3-ef7d-4fb9-bf19-f87569cfc0fc
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
    - foregroundDeleteVirtualMachine
  labels:
    kubevirt.io/domain: centos-stream9-chocolate-spoonbill-66
    kubevirt.io/nodeName: my-s390x-machineset-259qh
    kubevirt.io/size: small
    network.kubevirt.io/headlessService: headless
spec:
  architecture: amd64
  domain:
    cpu:
      cores: 1
      maxSockets: 4
      model: host-model
      sockets: 1
      threads: 1
    devices:
      autoattachPodInterface: false
      disks:
        - disk:
            bus: virtio
          name: rootdisk
        - disk:
            bus: virtio
          name: cloudinitdisk
      rng: {}
    features:
      acpi:
        enabled: true
    firmware:
      uuid: 7d4e3fcd-7dd1-43eb-96a1-aa6ef2c33cb9
    machine:
      type: pc-q35-rhel9.6.0
    memory:
      guest: 2Gi
      maxGuest: 8Gi
    resources:
      requests:
        memory: 2Gi
  evictionStrategy: LiveMigrate
  nodeSelector:
    kubernetes.io/arch: amd64
  terminationGracePeriodSeconds: 180
  volumes:
    - dataVolume:
        name: centos-stream9-chocolate-spoonbill-66
      name: rootdisk
    - cloudInitNoCloud:
        userData: |-
          #cloud-config
          user: centos
          password: pmca-j53r-oukt
          chpasswd: { expire: False }
      name: cloudinitdisk
status:
  memory:
    guestAtBoot: 2Gi
    guestCurrent: 2Gi
    guestRequested: 2Gi
  virtualMachineRevisionName: revision-start-vm-2ee745d3-ef7d-4fb9-bf19-f87569cfc0fc-45
  qosClass: Burstable
  runtimeUser: 107
  machine:
    type: pc-q35-rhel9.6.0
  guestOSInfo:
    id: centos
    kernelRelease: 5.14.0-612.el9.x86_64
    kernelVersion: '#1 SMP PREEMPT_DYNAMIC Sat Aug 30 16:03:12 UTC 2025'
    machine: x86_64
    name: CentOS Stream
    prettyName: CentOS Stream 9
    version: '9'
    versionId: '9'
  volumeStatus:
    - name: cloudinitdisk
      size: 1048576
      target: vdb
    - name: rootdisk
      persistentVolumeClaimInfo:
        accessModes:
          - ReadWriteMany
        capacity:
          storage: 30Gi
        claimName: centos-stream9-chocolate-spoonbill-66
        filesystemOverhead: '0'
        requests:
          storage: '32212254720'
        volumeMode: Block
      target: vda
  selinuxContext: 'system_u:object_r:container_file_t:s0:c330,c636'
  phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: '2025-09-12T09:42:02Z'
    - phase: Scheduling
      phaseTransitionTimestamp: '2025-09-12T09:42:03Z'
    - phase: Scheduled
      phaseTransitionTimestamp: '2025-09-12T09:42:13Z'
    - phase: Running
      phaseTransitionTimestamp: '2025-09-12T09:42:15Z'
  nodeName: my-s390x-machineset-259qh
  migrationMethod: BlockMigration
  activePods:
    2bdd4d22-feb8-45bb-adee-6594916c4885: my-s390x-machineset-259qh
  conditions:
    - lastProbeTime: '2025-09-12T09:42:03Z'
      lastTransitionTime: '2025-09-12T09:42:03Z'
      message: Guest VM is not reported as running
      reason: GuestNotRunning
      status: 'False'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: All of the VMI's DVs are bound and ready
      reason: AllDVsReady
      status: 'True'
      type: DataVolumesReady
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: StorageLiveMigratable
    - lastProbeTime: '2025-09-12T09:42:48Z'
      lastTransitionTime: null
      status: 'True'
      type: AgentConnected
  phase: Running
  migrationTransport: Unix
  currentCPUTopology:
    cores: 1
    sockets: 1
    threads: 1
  launcherContainerImageVersion: 'registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:dbf66a2cd7a45ca1dad1d53dae03f6bcf2e0e6caed502ecf4c46ee769d0f6fe2'

